# EnemyEndureChanceModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EnemyEndureChanceModifier

#### Hierarchy (View Summary)

- EnemyPersistentModifier
  - EnemyEndureChanceModifier

- Defined in src/modifier/modifier.ts:3690

##### Index

### Constructors

constructor

### Properties

chance
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new EnemyEndureChanceModifier(
  type: ModifierType ,
  _chancePercent?: number,
  stackCount?: number,
  ): EnemyEndureChanceModifier

  #### Parameters

  - type: ModifierType
  - `Optional`_chancePercent: number
  - `Optional` stackCount: number

  #### Returns EnemyEndureChanceModifier

  Overrides EnemyPersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:3693

## Properties

### chance

chance: number

- Defined in src/modifier/modifier.ts:3691

### stackCount

stackCount: number

Inherited from EnemyPersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### type

type: ModifierType

Inherited from EnemyPersistentModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from EnemyPersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.add

  - Defined in src/modifier/modifier.ts:195

### apply

- apply(target: default ): boolean

  Applies a chance of enduring a lethal hit of an attack

  #### Parameters

  - target: default

    the `Pokemon` to apply the `BattlerTagType.ENDURING` chance to

  #### Returns boolean

  `true` if `Pokemon` endured

  Overrides EnemyPersistentModifier.apply

  - Defined in src/modifier/modifier.ts:3717

### clone

- clone(): EnemyEndureChanceModifier

  #### Returns EnemyEndureChanceModifier

  Overrides EnemyPersistentModifier.clone

  - Defined in src/modifier/modifier.ts:3704

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Overrides EnemyPersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:3708

### getIcon

- getIcon(_forSummary?: boolean): Container

  #### Parameters

  - `Optional`_forSummary: boolean

  #### Returns Container

  Inherited from EnemyPersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:239

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from EnemyPersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### getMaxStackCount

- getMaxStackCount(): number

  #### Returns number

  Overrides EnemyPersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:3729

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from EnemyPersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from EnemyPersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:235

### match

- match(modifier: Modifier ): modifier is EnemyEndureChanceModifier

  #### Parameters

  - modifier: Modifier

  #### Returns modifier is EnemyEndureChanceModifier

  Overrides EnemyPersistentModifier.match

  - Defined in src/modifier/modifier.ts:3700

### shouldApply

- shouldApply(..._args: [target: default ]): boolean

  Checks if `Modifier` should be applied

  #### Parameters

  - ..._args: [target: default ]

    parameters passed to `Modifier.apply`

  #### Returns boolean

  always `true` by default

  Inherited from EnemyPersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:174